package com.zg.project.Inventory.Visualization.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zg.framework.aspectj.lang.annotation.Excel;
import com.zg.framework.web.domain.BaseEntity;

/**
 * 借料出库 明细对象 odtl
 * 
 * @author zg
 * @date 2025-05-09
 */
public class Odtl extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long Id;

    /** rdtl的id */
    @Excel(name = "rdtl的id")
    private Long rdid;

    /** sod的id */
    @Excel(name = "sod的id")
    private Long sid;

    /** 取货数量 */
    @Excel(name = "取货数量")
    private BigDecimal amt;

    /** 取货位置 */
    @Excel(name = "取货位置")
    private String pcde;

    /** 为出库单时，1表示已出库;0表示入库 */
    @Excel(name = "为出库单时，1表示已出库;0表示入库")
    private String ste;

    /** RIFD编号 */
    @Excel(name = "RIFD编号")
    private String rfid;

    /** wh_sod.id危化品库存id */
    @Excel(name = "wh_sod.id危化品库存id")
    private Long wsid;

    /** 声光标签编码 */
    @Excel(name = "声光标签编码")
    private String vlid;

    /** 1:还料 */
    @Excel(name = "1:还料")
    private Long flg;

    /** ERP出库凭证 */
    @Excel(name = "ERP出库凭证")
    private String prf;

    public void setId(Long Id) 
    {
        this.Id = Id;
    }

    public Long getId() 
    {
        return Id;
    }

    public void setRdid(Long rdid) 
    {
        this.rdid = rdid;
    }

    public Long getRdid() 
    {
        return rdid;
    }

    public void setSid(Long sid) 
    {
        this.sid = sid;
    }

    public Long getSid() 
    {
        return sid;
    }

    public void setAmt(BigDecimal amt) 
    {
        this.amt = amt;
    }

    public BigDecimal getAmt() 
    {
        return amt;
    }

    public void setPcde(String pcde) 
    {
        this.pcde = pcde;
    }

    public String getPcde() 
    {
        return pcde;
    }

    public void setSte(String ste) 
    {
        this.ste = ste;
    }

    public String getSte() 
    {
        return ste;
    }

    public void setRfid(String rfid) 
    {
        this.rfid = rfid;
    }

    public String getRfid() 
    {
        return rfid;
    }

    public void setWsid(Long wsid) 
    {
        this.wsid = wsid;
    }

    public Long getWsid() 
    {
        return wsid;
    }

    public void setVlid(String vlid) 
    {
        this.vlid = vlid;
    }

    public String getVlid() 
    {
        return vlid;
    }

    public void setFlg(Long flg) 
    {
        this.flg = flg;
    }

    public Long getFlg() 
    {
        return flg;
    }

    public void setPrf(String prf) 
    {
        this.prf = prf;
    }

    public String getPrf() 
    {
        return prf;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("Id", getId())
            .append("rdid", getRdid())
            .append("sid", getSid())
            .append("amt", getAmt())
            .append("pcde", getPcde())
            .append("ste", getSte())
            .append("rfid", getRfid())
            .append("wsid", getWsid())
            .append("vlid", getVlid())
            .append("flg", getFlg())
            .append("prf", getPrf())
            .toString();
    }
}
